Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.support.info
Class PortletInfoSupport

    java.lang.Object
      org.jboss.portal.portlet.support.info.PortletInfoSupport

All Implemented Interfaces:
  PortletInfo

    public class PortletInfoSupport

extends java.lang.Object
implements PortletInfo

Version:
  $Revision: 5448 $
Author:
  Julien Viet

Constructor Summary
`PortletInfoSupport()`

Method Summary
`CacheInfo` | `getCache()` Retrieves caching-related information for the described portlet.
`CacheInfoSupport` | `getCacheSupport()`
`CapabilitiesInfo` | `getCapabilities()` Retrieves the capabilities of supported by the described portlet.
`MetaInfo` | `getMeta()` Retrieves the portlet description (title, keywords, etc).
`MetaInfoSupport` | `getMetaSupport()`
`PreferencesInfo` | `getPreferences()` Retrieves information about the preferences supported by the described portlet, it must return null if the portlet cannot be personalized.
`PreferencesInfoSupport` | `getPreferencesSupport()`
`SecurityInfo` | `getSecurity()` Retrieves the security information for the described portlet.
`SecurityInfoSupport` | `getSecuritySupport()`
`SessionInfo` | `getSession()` Retrieves session-related information for the described portlet.
`SessionInfoSupport` | `getSessionSupport()`
`java.lang.Boolean` | `isRemotable()` Determines whether the described portlet can be accessed remotely (such as via WSRP) or not.
`void` | `setRemotable(java.lang.Boolean remotable)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PortletInfoSupport

    public PortletInfoSupport()

Method Detail

### getCapabilities

    public CapabilitiesInfo getCapabilities()

  Description copied from interface: `PortletInfo`
  Retrieves the capabilities of supported by the described portlet.

  Specified by:
    `getCapabilities` in interface `PortletInfo`
  Returns:
    the capabilities of the portlet

### getPreferences

    public PreferencesInfo getPreferences()

  Description copied from interface: `PortletInfo`
  Retrieves information about the preferences supported by the described portlet, it must return null if the portlet cannot be personalized.

  Specified by:
    `getPreferences` in interface `PortletInfo`
  Returns:
    the preferences meta data of the portlet

### getPreferencesSupport

    public PreferencesInfoSupport getPreferencesSupport()

### getMeta

    public MetaInfo getMeta()

  Description copied from interface: `PortletInfo`
  Retrieves the portlet description (title, keywords, etc).

  Specified by:
    `getMeta` in interface `PortletInfo`
  Returns:
    the portlet description

### getMetaSupport

    public MetaInfoSupport getMetaSupport()

### getSecurity

    public SecurityInfo getSecurity()

  Description copied from interface: `PortletInfo`
  Retrieves the security information for the described portlet.

  Specified by:
    `getSecurity` in interface `PortletInfo`
  Returns:
    the security information

### getSecuritySupport

    public SecurityInfoSupport getSecuritySupport()

### getCache

    public CacheInfo getCache()

  Description copied from interface: `PortletInfo`
  Retrieves caching-related information for the described portlet.

  Specified by:
    `getCache` in interface `PortletInfo`
  Returns:
    the caching related information

### getCacheSupport

    public CacheInfoSupport getCacheSupport()

### getSession

    public SessionInfo getSession()

  Description copied from interface: `PortletInfo`
  Retrieves session-related information for the described portlet. If no information is available then it returns the null value.

  Specified by:
    `getSession` in interface `PortletInfo`
  Returns:
    the session related information

### getSessionSupport

    public SessionInfoSupport getSessionSupport()

### isRemotable

    public java.lang.Boolean isRemotable()

  Description copied from interface: `PortletInfo`
  Determines whether the described portlet can be accessed remotely (such as via WSRP) or not. Clients of this method should be prepare to handle a `null` return value expressing the fact that the remotable status hasn't been explicitely set.

  Specified by:
    `isRemotable` in interface `PortletInfo`
  Returns:
    `Boolean.TRUE` if the described portlet can be accessed remotely, `Boolean.FALSE` if the described portlet cannot be accessed remotely, `null` if the value hasn't been specified explicitely for the associated portlet.

### setRemotable

    public void setRemotable(java.lang.Boolean remotable)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD